<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>Gestionar usuario</title>
	</head>

	<body>
		<div data-role="page" data-theme="b">
		
			<div data-role="header">
				<div style="text-align:center"><h2>Gestión de usuarios</h2></div>
			</div>
			
			<div data-role="content">
				<s:set var="identificadorUsuario" value="usuario.id" scope="action"/>
				<h3>Usuario seleccionado: <s:property value="usuario.id"/></h3>
				<h4>Tipo de usuario: <s:property value="usuario.tipoUsuario"/></h4>
				<p>¿Qué desea hacer?</p>
				<s:form action="GS01">
					<s:radio label="Seleccione uno" name="accionSolicitada" list="#{'1':'eliminar usuario','2':'promocionar usuario'}" value="2" />
    	  			<s:hidden name="usuario.id" value="%{#identificadorUsuario}"></s:hidden>
    	  			<s:submit type="button" label="Aceptar" onclick="return confirm('¿Seguro que quiere promocionar/eliminar este usuario?');"/>
				</s:form>
			</div>	
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext" class="ui-btn-active"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
