<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
   
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script>
   			$(document).on('mobileinit', function () {
    			$.mobile.ignoreContentEnabled = true;
			});
		</script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>Modificar Receta</title>
   		
	</head>

	<body>
		<div data-role="page" data-theme="b">
		
			<div data-role="header">
				<div style="text-align:center"><h2>Modificar receta</h2></div>
			</div>
			<div data-role="content">
				<s:set var="identificadorReceta" value="receta.id" scope="action"/>
				<s:set var="identificadorUsuario" value="receta.idUsuario" scope="action"/>
			 	<s:push value="receta">
				<s:form data-ajax="false" action="GR08" method="post" enctype="multipart/form-data">
					<s:hidden name="accionSolicitada" value="modificar receta"/>
					<s:hidden name="receta.idUsuario" value="%{#identificadorUsuario}" />
					<s:hidden name="receta.id" value="%{#identificadorReceta}" />
					<s:textfield name="receta.nombreReceta" value="%{nombreReceta}" label="Nombre de la receta" requiredLabel="true"/>
    				<s:textfield name="receta.comensales" value="%{comensales}" label="Número de comensales" requiredLabel="true" />
    				<s:textarea name="receta.ingredientes" cols="30" rows="7" value="%{ingredientes}" label="Ingredientes" requiredLabel="true"/>
					<s:textarea name="receta.preparacion" cols="30" rows="15"  value="%{preparacion}" label="Preparación" requiredLabel="true"/>
    				<s:file type="file" name="fotografia"/>
    				<s:submit type="button">Modificar receta</s:submit>
 				</s:form>
 				</s:push>
 				
			</div>
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext" class="ui-btn-active"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
