<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
   
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script>
   			$(document).on('mobileinit', function () {
    			$.mobile.ignoreContentEnabled = true;
			});
		</script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>Nueva Receta</title>
   		
	</head>

	<body>
		<div data-role="page" data-theme="b">
		
			<div data-role="header">
				<div style="text-align:center"><h2>Añadir nueva receta</h2></div>
			</div>
			
			<div data-role="content">
			
			 	
				<form data-ajax="false" name="GR05" action="/recetarioFinal/GR05.action" method="post" enctype="multipart/form-data">
					<label>Nombre de la receta:</label>
					<input type="text" name="receta.nombreReceta" value="" required/>
    				<label for="slider-1">Número de comensales:</label>
    				<input type="range" id="slider-1" name="receta.comensales" value="1" min="1" max="20"/>
    				<label>Ingredientes:</label>
    				<textarea name="receta.ingredientes" cols="90" rows="7" wrap="hard" required></textarea>
    				<label>Preparación:</label>
					<textarea name="receta.preparacion" cols="90" rows="15" wrap="hard" required></textarea>
    				<label>Fotografía:</label>
					<input type="file" name="fotografia"/>
    				<button type="submit" value="Submit">Enviar receta</button>
 				</form>	
 				
			</div>
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext" class="ui-btn-active"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
