<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
   
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>Gestión de cuenta</title>
   		
	</head>

	<body>
		<div data-role="page" data-theme="b">
		
			<div data-role="header">
				<div style="text-align:center"><h2>Gestión de cuenta</h2></div>
			</div>
			
			<div data-role="content">
				<div data-role="collapsible" data-theme="a" data-content-theme="c">
					<h2>Instrucciones</h2>
					<p>
						Para cerrar la sesión presione el botón de cerrar sesión <br>
						Para cambiar sus datos personales, introduzca los datos requeridos más abajo y envíe el formulario.<br>
						Deberá introducir su contraseña actual para realizar cambios en su cuenta.<br>
						Únicamente se cambiarán aquellos parámetros de su cuenta para los que haya introducido un nuevo valor.
					</p>
				</div>
				<h3>Cerrar sesión</h3>
				<s:url var="cerrarSesion" action="GC01"> 
				</s:url>
				<s:a data-role="button" href="%{#cerrarSesion}"  data-icon="delete" data-iconpos="left" onclick="return confirm('¿Cerrar la sesión?');">Cerrar sesión
				</s:a>
				
				<h3>Cambiar datos personales</h3>
				
				<s:form action="GC02">
    	  			<s:password name="contrasena" label="Introduzca su contraseña actual" labelPosition="top"/>
    	  			<s:password name="nuevaContrasena" label="Introduzca nueva contraseña" labelPosition="top" value=""/>
    	  			<s:password name="reNuevaContrasena" label="Repita nueva contraseña" labelPosition="top" value=""/>
    	  			<s:textfield name="nuevoEmail" label="Introduzca nueva dirección de e-mail" labelPosition="top" value=""/>
    	  			<s:textfield name="reNuevoEmail" label="Repita nueva dirección de e-mail" labelPosition="top" value=""/>
    	  			<s:submit type="button" label="Cambiar datos personales" onclick="return confirm('¿Seguro que quiere cambiar los datos personales?');"/>
				</s:form>				
			</div>
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext" class="ui-btn-active"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
