<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
   
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>¡Bienvenido a RECETARIO!</title>
   		
	</head>

	<body>
		<div data-role="page" data-theme="b">
		
			<div data-role="header">
				<div style="text-align:center"><h2>¡Bienvenido!</h2></div>
			</div>
			
			<div data-role="content">
				<div data-role="collapsible" data-collapsed="false" data-theme="a" data-content-theme="c">
					<h2>Instrucciones de uso</h2>
					<p>
						¡Bienvenido/a a RECETARIO! <br>
						En esta aplicación podrá:
					</p>
					<ol>
						<li>Introducir sus recetas preferidas, con fotografías tomadas desde su dispositivo o guardadas en el mismo.</li>
						<li>Consultar las recetas de todos los usuarios del sistema.</li>
						<li>Introducir comentarios en las recetas, propias o ajenas.</li>
						<li>Gestionar sus recetas.</li>
					</ol>
					<p>
						En la parte baja de su pantalla encontrará el menú de navegación.<br>
						Cada botón del menú le llevará a una de las pantallas del sistema como se explica a continuación. 
						Por orden de izquierda a derecha:
					</p>
					<ol>
						<li>Página de bienvenida: es la página en la que se encuentra en este momento.</li>
						<li>Página de búsqueda: le permite buscar recetas, por nombre o por nombre de autor, y mostrarlas.</li>
						<li>Página de adición de recetas: le permite añadir una nueva receta al sistema, ¡con foto si lo desea!</li>
						<li>Página de gestión de su cuenta: aquí podrá cambiar sus datos personales y cerrar la sesión.</li>
						<li>Página de gestión del sistema: aquí podrá gestionar los usuarios del sistema. ¡Únicamente para usuarios adminstradores!</li>
					</ol>
					<p> Esperamos que disfrute de la aplicación <em>¡y sobre todo de las recetas!</em> </p>
				</div>
			</div>
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext" class="ui-btn-active"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
