/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Clase que encapsula el log del sistema
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class Logger {

	/** log */
	private static Log _LOG = LogFactory.getLog(Logger.class);

	/**
	 * @return un objeto de tipo LOG
	 */
	static public Log getLog() {
		return _LOG;
	}

}
