/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura.pojo;

import java.io.Serializable;

/**
 * Interfaz que deben implementar los objetos de tipo Pojo
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public interface IPojo {

	/**
	 * Devuelve el identificador nico de este Pojo
	 * 
	 * @return identificador
	 */
	public Serializable getId();

}
