/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.cu00;

import edu.uoc.recetario.arquitectura.messages.MessageList;
import edu.uoc.recetario.arquitectura.pojo.UsuarioPojo;

/**
 * Modelo para el caso de uso CU01
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class CU01Model {

	/** Lista de mensajes informativos para el usuario */
	private final MessageList messages = new MessageList();

	/** usuario */
	private UsuarioPojo usuario = new UsuarioPojo();

	/**
	 * Devuelve el valor del campo {@link #usuario}
	 * 
	 * @return Valor de tipo String del campo {@link #usuario}
	 */
	public UsuarioPojo getUsuario() {
		return this.usuario;
	}

	/**
	 * Establece el valor del campo {@link #usuario}
	 * 
	 * @param usuario Valor de tipo String a almacenar en el campo
	 *            {@link #usuario}
	 */
	public void setUsuario(UsuarioPojo usuario) {
		this.usuario = usuario;
	}

	/**
	 * Devuelve el valor del campo {@link #messages}
	 * 
	 * @return Valor de tipo MessageList del campo {@link #messages}
	 */
	public MessageList getMessages() {
		return this.messages;
	}

}